#!/bin/sh

clear
echo "========================================================="
echo "       This is Linux HWPX/R4 installer for FreeBSD"
echo "========================================================="
echo ""

echo ""
echo "==============="
echo "Informations..."
echo "==============="
echo ""

company=""
while [ -z "$company" ]
do
	printf "Company Name : "; read company
done

admin=""
while [ -z "$admin" ]
do
	printf "Administrator Name : "; read admin
done

serial=""
while [ -z "$serial" ]
do
	printf "Serial Number : "; read serial
done

# default installation directory.
target=$PREFIX/hwpx
printf "Install Directory is [$target]."
rm -fr $target
rm -fr /usr/hwpx
mkdir -p $target
ln -sf $target /usr/hwpx

echo ""
echo "==================="
echo "Select component..."
echo "==================="
echo ""

basedir=$DISTDIR/RPMS

tmp=""
printf "Would you like to install the binaries[y] : "; read tmp
if [ ${tmp:=y} = "y" -o $tmp = "Y" ] 
then 
	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpx-4.0-*.i386.rpm
fi
tmp=""
printf "Would you like to install the base files[y] : "; read tmp
if [ ${tmp:=y} = "y" -o $tmp = "Y" ] 
then
	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpx-base-4.0-*.noarch.rpm
	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpx-font-4.0-*.noarch.rpm
#	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpxkde-*.noarch.rpm
fi
tmp=""
printf "Would you like to install the additional fonts[n] : "; read tmp
if [ ${tmp:=n} = "y" -o $tmp = "Y" ]
then
	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpx-font2-4.0-*.noarch.rpm
fi
tmp=""
printf "Would you like to install the various document templates[n] : "; read tmp
if  [ ${tmp:=n} = "y" -o $tmp = "Y" ]
then
	rpm -Uvh --ignorearch --ignoreos --force --nodeps $basedir/hwpx-madang-4.0-*.noarch.rpm
fi

#
#
#

echo ""
echo "Creating hnclm.dat..."

hnclm_file=$target/sys/hnclm.dat
if [ -f $hnclm_file ]; then
    mv -f $hnclm_file $hnclm_file.org
fi

touch $hnclm_file
if [ $? -ne 0 ]; then
	echo ""
	echo "============================="
	echo "Can't write to $hnclm_file."
	echo "============================="
	echo ""
	exit 1
else
	echo "[ LICENSE SERVER ]" >> $hnclm_file
	echo "	server = `hostname`" >> $hnclm_file
	echo "	hostid = 1781617" >> $hnclm_file
	echo "	port = 3001" >> $hnclm_file
	echo "	company = $company" >> $hnclm_file
	echo "	admin = $admin" >> $hnclm_file
	echo "[ PROGRAM ]" >> $hnclm_file
	echo "	serial = $serial" >> $hnclm_file
	echo "	program = HWPX" >> $hnclm_file
	echo "	version = 4.0" >> $hnclm_file
	echo "	user = 1" >> $hnclm_file
	echo "	expiration = none" >> $hnclm_file
	echo "	license_key = none" >> $hnclm_file
fi

echo "done"

#
#
#

echo ""
echo "===================================================="
echo "Installation is completed."
echo ""
echo "If you have any question about HWP/X R4, please send"
echo "mail to linuxservice@hancom.com, but you may not be"
echo "serviced since you are not using Linux now :<"
echo ""
echo "Don't forget to add $target/bin in your PATH."
echo "===================================================="
echo ""
